Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

sago008

6
Posts
13
Followers
3
Following
A member registered Aug 24, 2017 · View creator page →

Creator of

Recent community posts

I have managed to build 2.5.0 with a new build environment (with PhysicsFS 3.0.2) that I have tested and confirmed to be working on both Windows 10 1809 and Windows 10 1903

I managed to get a version of Windows 10 1809 and now I can reproduce it too. Now that I can reproduce it, I can look into a solution.

I statically link all dependencies to prevent dll issues.

Do you by any chance use Windows 10 1809?

Looks like PhysicsFS 3.0.1 (which blockattack 2.5.0 is linked against) broke on Windows 10 1809. I am not certain that it affects BlockAttack but I was testing on 1803 and because 1903 has been released I cannot update to 1809 any more.

I have been unable to reproduce it.
Starts on both Windows 8 and 10. Also if I remove "Docuemnts\My Games\blockattack".

Thank you.

I have reverted the Windows version to 2.4.0 while looking into the problem.

Did 2.4.0 run?

Which version of Windows are you running?

You are right. Thank you!